| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
uiIOObjManipGroupSubj Class Referenceabstract
uiIo

`#include <uiioobjmanip.h>`

Inheritance diagram for uiIOObjManipGroupSubj:
[legend]

## Public Member Functions
| ~uiIOObjManipGroupSubj ()
virtual void | chgsOccurred ()=0
virtual MultiID | currentID () const =0
virtual const char * | defExt () const =0
virtual void | getChosenIDs (TypeSet< MultiID > &) const =0
virtual void | getChosenNames (BufferStringSet &) const =0
virtual bool | isEntryOK (const MultiID &) const =0
virtual void | itemInitRead (const IOObj *)=0
virtual void | launchLocate (const MultiID &)=0
virtual BufferStringSet | names () const =0
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Public Attributes
uiIOObjManipGroup * | grp_ = nullptr
uiObject * | obj_

## Protected Member Functions
| uiIOObjManipGroupSubj (uiObject *)

## Additional Inherited Members
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ ~uiIOObjManipGroupSubj()

uiIOObjManipGroupSubj::~uiIOObjManipGroupSubj | ( |  | ) |

## ◆ uiIOObjManipGroupSubj()

uiIOObjManipGroupSubj::uiIOObjManipGroupSubj | ( | uiObject * |  | ) |
| protected

## Member Function Documentation

## ◆ chgsOccurred()

virtual void uiIOObjManipGroupSubj::chgsOccurred | ( |  | ) |
| pure virtual

## ◆ currentID()

virtual MultiID uiIOObjManipGroupSubj::currentID | ( |  | ) | const
| pure virtual

## ◆ defExt()

virtual const char * uiIOObjManipGroupSubj::defExt | ( |  | ) | const
| pure virtual

## ◆ getChosenIDs()

virtual void uiIOObjManipGroupSubj::getChosenIDs | ( | TypeSet< MultiID > & |  | ) | const
| pure virtual

## ◆ getChosenNames()

virtual void uiIOObjManipGroupSubj::getChosenNames | ( | BufferStringSet & |  | ) | const
| pure virtual

## ◆ isEntryOK()

virtual bool uiIOObjManipGroupSubj::isEntryOK | ( | const MultiID & |  | ) | const
| pure virtual

## ◆ itemInitRead()

virtual void uiIOObjManipGroupSubj::itemInitRead | ( | const IOObj * |  | ) |
| pure virtual

## ◆ launchLocate()

virtual void uiIOObjManipGroupSubj::launchLocate | ( | const MultiID & |  | ) |
| pure virtual

## ◆ names()

virtual BufferStringSet uiIOObjManipGroupSubj::names | ( |  | ) | const
| pure virtual

## Member Data Documentation

## ◆ grp_

uiIOObjManipGroup* uiIOObjManipGroupSubj::grp_ = nullptr

## ◆ obj_

uiObject* uiIOObjManipGroupSubj::obj_

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025